Bug 730393 - [abrt] Thunar-1.2.2-1.fc15: exo_icon_view_item_hit_test: Process /usr/bin/Thunar was killed by signal 11 (SIGSEGV)
Summary: [abrt] Thunar-1.2.2-1.fc15: exo_icon_view_item_hit_test: Process /usr/bin/Thu...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7072279a0a070d2ce66e5b9b2bf...
: 716225 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-12 18:41 UTC by Szőke Károly
Modified: 2012-08-07 19:58 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:58:01 UTC


Attachments (Terms of Use)
File: maps (27.65 KB, text/plain)
2011-08-12 18:41 UTC, Szőke Károly
no flags Details
File: backtrace (26.17 KB, text/plain)
2011-08-12 18:41 UTC, Szőke Károly
no flags Details
File: backtrace (41.11 KB, text/plain)
2012-02-21 11:39 UTC, Luca Pellacani
no flags Details

Description Szőke Károly 2011-08-12 18:41:48 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        Thunar --daemon
component:      Thunar
crash_function: exo_icon_view_item_hit_test
executable:     /usr/bin/Thunar
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        Thunar-1.2.2-1.fc15
reason:         Process /usr/bin/Thunar was killed by signal 11 (SIGSEGV)
time:           Fri Aug 12 20:15:27 2011
uid:            500
username:       karcsi
xsession_errors: 

backtrace:      Text file, 26803 bytes
maps:           Text file, 28310 bytes

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:4e07b77adb145cc6404542708f22dc48ded94731
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:381b4d1a68920ac7d5ce745f1eb2b324bb90dc03
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:824c7ed12bdc96a755733f7bae01ae6d965465f8
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:d0c6e13f00a20952a72a945c929efb175fd760e3
:9cd020ec2107c08febe2c8fcabd158212c207854
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:096d5ffaa54bc927bbff329fc72f6207137ad809
:1e49d90ad8b056f23bfcb1112c138b3074cd91a8
:020ea634b00e306a5ba5982d96f7f55c560bee88
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:83eaf534f789338ec43432c66a28bb7680834b45
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:7ff59f3ec00ebb70f32a3f3d6373e19cdc03d0cd
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:585e18f56063dab8934660820f0c63765c6c1a1f
:aaf62304b0fc10611d35b4f56005479d4c58868d
:b86f00a668ca8dd79d7508fa5cd1894986085fd2
:f77561c1910d48f6d02230d9837b95851d06a761
:3a66db60db8c4065c827d710ad7ea7e7bc32de35
:12fe921fa6ce903fb44dbd1e37cd24e26cc920a6
:4953d1f613914126bccceb3cb96386647ffba9df
:0911ea7c180d733724f89037b8e8a34e64024aec
:cdd87cfe38115dcd04c1503689de2a4f5913d6ef
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:ae43790e788432621dbab61da7f02421a3d46919
:634eca0cadcf35206919dd5e6a8e2e8601276947
:48aea888319e1848137073c9cbde54a4c2a731c9
:e5f626726497a81807681ed0088dbce6d6a1f17b
:ebb6702a16d91f29f76e61e919170eba439029c5
:263808e67654286dd52d513eff5f47217feb6bf2
:9e7f9920023c7d8d35e94b041966c802abfbb0a9
:3416b2ab0ce2faae0d1f8d59b70079df410865bc
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:d259f77e246b7dde5797633a40e4a655375f9b97
:4c842320387ff7f6f91b7842b223c16518be909f
:253f30ab5ddbd8cb9b6cbf539c8eb3791b9b6599
:1c6a95451ee19617be5abea3d121f0226d21ddda
:3cb38edbc184347a707c6c431ca50085bbd5228a
:91689252818532ec13597b6528d38be93b2706c4
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:78a2ad18a96b51c289e5c5b8922e703473c1087c
:9eb3646a4d95b88c0d8b57aa8b2a0ca01569cc6d
:38552e9182933e958fa46937877270ad6d13c642
:afe4ec94c18bd5228bda21a6e8df520ba8e19e37
:b038838c10d38141b6ec19b40168be9caaa78286
:3fcec0ee7e57342876fe5b19cfb7d24682c7be50
:23b6792e3218744316fd495002f40a037c2e0095
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:e1c31ac7328c5b42c09f2e4083bcd245090621e4
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:9c7124f8172c2f993351b55d0e5db3439f9b1bb7
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:8164c04fe43680778d29c2775cef453f494ab62b
:77976ba86d7b36b89a8c1d02fbfc8f50986e2d35
:4ead7e31a3a01781151307f8a41645f011bcb498
:4c7e95adf3ebf234c3296a412389fb303f4facf0

comment:
:1. start thunar from down open folder
:2. click on download folder
:3. crash

dso_list:
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306775217
:/usr/lib64/libgdk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1308940109
:/usr/lib64/libxcb-event.so.1.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1306774389
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1306774707
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1306775202
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307731562
:/usr/share/locale/hu/LC_MESSAGES/libc.mo glibc-common-2.14-4.x86_64 (Fedora Project) 1309811868
:/usr/share/locale/hu/LC_MESSAGES/xdg-user-dirs.mo xdg-user-dirs-0.14-1.fc15.x86_64 (Fedora Project) 1306776038
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1311624108
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.0.0-2.fc15.noarch (Fedora Project) 1306774731
:/usr/share/locale/hu/LC_MESSAGES/glib20.mo glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307731562
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1306774350
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1306775199
:/usr/lib64/libgtk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1308940109
:/usr/lib/locale/locale-archive glibc-common-2.14-4.x86_64 (Fedora Project) 1309811868
:/usr/share/locale/hu/LC_MESSAGES/atk10.mo atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1306774377
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1306775205
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1306774389
:/usr/lib64/libthunarx-2.so.0.0.0 Thunar-1.2.2-1.fc15.x86_64 (Fedora Project) 1307367597
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1307731575
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1312746274
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1306774673
:/lib64/libdl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309811879
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307731562
:/usr/lib64/libnotify.so.4.0.0 libnotify-0.7.3-1.fc15.x86_64 (Fedora Project) 1307731582
:/lib64/libm-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309811879
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309811879
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.6-3.fc15.x86_64 (Fedora Project) 1306774355
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1306775202
:/lib64/libutil-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309811879
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-4.fc15.x86_64 (Fedora Project) 1306774349
:/usr/lib64/libstartup-notification-1.so.0.0.0 startup-notification-0.10-4.fc13.x86_64 (Fedora Project) 1306775200
:/usr/lib64/libxcb-atom.so.1.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1306774389
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1306774362
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307731562
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1306774377
:/usr/lib64/libexo-1.so.0.0.0 exo-0.6.2-1.fc15.x86_64 (Fedora Project) 1308940669
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1306775199
:/lib64/libgudev-1.0.so.0.1.0 libgudev1-167-4.fc15.x86_64 (Fedora Project) 1306774378
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-4.x86_64 (Fedora Project) 1309811879
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1306775200
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1312654382
:/usr/lib64/libxfce4util.so.4.1.1 libxfce4util-4.8.1-2.fc15.x86_64 (Fedora Project) 1307367564
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306775217
:/usr/share/locale/hu/LC_MESSAGES/gtk20-properties.mo gtk2-devel-2.24.4-2.fc15.x86_64 (Fedora Project) 1308940698
:/usr/share/locale/hu/LC_MESSAGES/gtk20.mo gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1308940109
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309811879
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1306774388
:/usr/share/icons/Mist/icon-theme.cache gnome-themes-2.32.0-6.fc15.noarch (Fedora Project) 1306775451
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1306775201
:/usr/lib64/libxfce4ui-1.so.0.0.0 libxfce4ui-4.8.0-4.fc15.x86_64 (Fedora Project) 1307367570
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1308242034
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307731562
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306775217
:/lib64/librt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309811879
:/lib64/libresolv-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309811879
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307731562
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1306774365
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1306775206
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1306774386
:/usr/bin/Thunar Thunar-1.2.2-1.fc15.x86_64 (Fedora Project) 1307367597
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1306775196
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1306774377
:/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.x86_64 (Fedora Project) 1306775390
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1307731575
:/lib64/libuuid.so.1.3.0 libuuid-2.19.1-1.4.fc15.x86_64 (Fedora Project) 1311712914
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309684080
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-1.fc15.noarch (Fedora Project) 1306775170
:/usr/lib64/gio/modules/libgioremote-volume-monitor.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1307731575
:/lib64/libnss_files-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309811879
:/lib64/libpthread-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309811879
:/usr/share/locale/hu/LC_MESSAGES/Thunar.mo Thunar-1.2.2-1.fc15.x86_64 (Fedora Project) 1307367597
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1306774368
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1306774361
:/usr/lib64/libxcb-aux.so.0.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1306774389
:/usr/share/locale/hu/LC_MESSAGES/exo-1.mo exo-0.6.2-1.fc15.x86_64 (Fedora Project) 1308940669
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1306775201
:/usr/share/locale/hu/LC_MESSAGES/gdk-pixbuf.mo gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309684080

environ:
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1758
:HOSTNAME=laptop.csigafarm.hu
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/gpg-UyRG5x/S.gpg-agent:1779:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=a40f41af055ac0153c8efd7e00000017-1313168924.750125-487455284
:GNOME_KEYRING_CONTROL=/tmp/keyring-LkA5Rh
:IMSETTINGS_MODULE=none
:USER=karcsi
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-nQqaat1637/agent.1637
:USERNAME=karcsi
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/karcsi
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/karcsi/bin
:QT_IM_MODULE=xim
:PWD=/home/karcsi
:XMODIFIERS=@im=none
:LANG=hu_HU.utf8
:GNOME_KEYRING_PID=1628
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/karcsi
:LOGNAME=karcsi
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-oUA7oBnCdS,guid=742ed57486d1ac0bd17d42d400000100
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/karcsi
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-karcsi-P1xGmZ/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1790,unix/unix:/tmp/.ICE-unix/1790

var_log_messages:
:Aug 12 20:15:26 laptop kernel: [ 4257.922821] Thunar[1802]: segfault at 0 ip 0000003426620960 sp 00007fff84ee69c0 error 4 in libexo-1.so.0.0.0[3426600000+42000]
:Aug 12 20:15:27 laptop abrt[3392]: saved core dump of pid 1802 (/usr/bin/Thunar) to /var/spool/abrt/ccpp-2011-08-12-20:15:27-1802.new/coredump (22282240 bytes)

Comment 1 Szőke Károly 2011-08-12 18:41:52 UTC
Created attachment 518090 [details]
File: maps

Comment 2 Szőke Károly 2011-08-12 18:41:54 UTC
Created attachment 518091 [details]
File: backtrace

Comment 3 Kevin Fenzi 2011-08-12 18:59:29 UTC
Do you have thunar-vcs-plugin installed? 
Can you duplicate the crash everytime? or is it sporadic?

Comment 4 Szőke Károly 2011-08-14 14:44:05 UTC
Yes, it was installed long time ago, but when was crash, it not installed.
No, crash was not time before and time after the crash time. Sorry for my english, I am hungarian. So Thunar crash one time for me.

Comment 5 Fabien Archambault 2011-08-23 07:57:47 UTC
Package: Thunar-1.2.2-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Double clicking on a folder

Comment 6 Stephen Haffly 2011-09-05 01:12:10 UTC
Package: Thunar-1.2.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
1. Transferred file from remote directory to local directory using Filezilla; closed Filezilla
2. Opened Thunar
3. Attempted to navigate to directory to which I had transferred the file.
4. Thunar became non-responsive, then abended and opened ABRT.

Comment 7 Fabien Archambault 2011-09-19 13:30:40 UTC
Package: Thunar-1.2.2-2.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Opening Dropbox folder

Comment 8 Luca Pellacani 2012-02-21 11:39:36 UTC
Copy and PAST

backtrace_rating: 4
Package: Thunar-1.3.0-4.fc16
OS Release: Fedora release 16 (Verne)

Comment 9 Luca Pellacani 2012-02-21 11:39:43 UTC
Created attachment 564657 [details]
File: backtrace

Comment 10 abrt-bot 2012-03-21 16:58:55 UTC
Backtrace analysis of bugs across components suggests the actual bug is in component gtk2 instead of component Thunar, reassigning to gtk2.

Bugs which were found to be similar to this bug: 
  Thunar: bug #598770
  pcmanfm: bug #716225

This comment is automatically generated.

Comment 11 abrt-bot 2012-03-21 16:59:06 UTC
*** Bug 716225 has been marked as a duplicate of this bug. ***

Comment 12 Fedora End Of Life 2012-08-07 19:58:04 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.